---
type: api
title: Get a policy response
description: Get the most recent policy response for an endpoint.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-getpolicyresponse
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-getpolicyresponse
products:
  - Kibana
---

# Get a policy response

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/endpoint/policy_response`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Description

Get the most recent policy response for an endpoint.

## Query String Parameters

- `agentId` (string · max: 256)
  The agent ID to retrieve the policy response for.

## Response

Indicates a successful call.

`application/json`

Type: `object`

## Code Examples

#### Console

```console
GET /api/endpoint/policy_response?agentId={agentId}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/endpoint/policy_response?agentId={agentId}"
```

## Response Examples

#### The most recent policy response for an endpoint

```json
{
  "policy_response": {
    "@timestamp": "2023-07-04T15:48:57.360Z",
    "agent": {
      "id": "ed518850-681a-4d60-bb98-e22640cae2a8",
      "version": "7.16.0"
    },
    "Endpoint": {
      "policy": {
        "applied": {
          "endpoint_policy_version": "2",
          "id": "d5371dcd-93b7-4627-af88-4084f7d6aa3e",
          "name": "My endpoint policy",
          "status": "success",
          "version": "3"
        }
      }
    }
  }
}
```

